unit uEditorAsignarDescuento;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, cxCalendar, ExtCtrls, uEditorBasico, uIEditorAsignarDescuento,
  cxGraphics, DB, uDAInterfaces, uDADataTable, cxDBEdit, uEmpresasController,
  cxSpinEdit;

type
  TfEditorAsignarDescuento = class(TfEditorBasico, IEditorAsignarDescuento)
    Label1: TLabel;
    bAceptar: TButton;
    bCancelar: TButton;
    Label2: TLabel;
    Panel1: TPanel;
    sDescuento: TcxSpinEdit;
    Label3: TLabel;

  private
    //FDescuento: Variant;
    function GetDescuento: Variant;
    procedure SetDescuento(const Value: Variant);

  public
    property Descuento: Variant Read GetDescuento write SetDescuento;
  end;

implementation
{$R *.dfm}

uses uFactuGES_App;

function TfEditorAsignarDescuento.GetDescuento: Variant;
begin
  Result := sDescuento.EditValue;
end;

procedure TfEditorAsignarDescuento.SetDescuento(const Value: Variant);
begin
  sDescuento.EditValue := Value;
end;


end.
